---
title: "Brand step completed CC email"
url: "https://docs.signnow.com/docs/cc-email-branding/operations/put-v2-brands-brand_id-resources-email-cc-invite-step-completed"
type: "endpoint"
section: "cc-email-branding"
slug: "cc-email-branding/operations/put-v2-brands-brand_id-resources-email-cc-invite-step-completed"
method: "PUT"
path: "/v2/brands/{brand_id}/resources/email-cc-invite-step-completed"
operation_id: "put-v2-brands-brand_id-resources-email-cc-invite-step-completed"
authorization: "bearer"
---

# Brand step completed CC email

`PUT /v2/brands/{brand_id}/resources/email-cc-invite-step-completed`

This endpoint allows users to add and edit branding for CC emails that are sent when a step of an invite is completed.

Branding for step completed CC emails is available for [document field invites](/docs/document-field-invite/operations/post-field_invite).

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `brand_id` | string | Yes | ID of the brand. Must match the pattern: [a-z0-9]{40}. |

## Header Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `Content-Type` | string | No | application/json |

## Request Body

**Schema**

```json
{
  "type": "object",
  "properties": {
    "en": {
      "type": "object",
      "properties": {
        "from": {
          "type": "string",
          "maxLength": 300,
          "description": "Custom text indicating sender."
        },
        "subject": {
          "type": "string",
          "maxLength": 300,
          "description": "Email subject text. Placeholder `{document_name}` is available."
        },
        "body_header": {
          "type": "string",
          "maxLength": 300,
          "description": "Email header text. Placeholder `{step_number}` is available."
        },
        "ccd_message": {
          "type": "string",
          "maxLength": 300,
          "description": "Custom CC message text. Placeholder `{cc_emails}` that lists other recipients of CC emails is available."
        },
        "body_message": {
          "type": "string",
          "maxLength": 300,
          "description": "Email body text. Placeholders `{step_number}` and `{document_name}` are available."
        },
        "footer_message": {
          "type": "string",
          "maxLength": 300,
          "description": "Email footer message."
        }
      },
      "description": "Language of the email. Possible values: `en` for English, `es` for Spanish, and `fr` for French. You need to add translated texts. For more information, see [Language branding](/docs/guides-branding#language-branding)."
    }
  },
  "x-examples": {
    "Example 1": {
      "en": {
        "from": "From user ",
        "subject": "My custom subject {document_name}",
        "expiration": "Expiration message {days}",
        "body_header": "Body header message",
        "body_message": "Body message {document_name}",
        "footer_message": "Footer message EN"
      },
      "es": {
        "from": "From user",
        "subject": "My custom subject {document_name}",
        "expiration": "Expiration message {days}",
        "body_header": "Body header message",
        "body_message": "Body message {document_name}",
        "footer_message": "Footer message"
      },
      "fr": {
        "from": "From user",
        "subject": "My custom subject {document_name}",
        "expiration": "Expiration message {days}",
        "body_header": "Body header message",
        "body_message": "Body message {document_name}",
        "footer_message": "Footer message"
      }
    }
  }
}
```

**Example** (`Example 1`)

```json
{
  "en": {
    "from": "Sender Name",
    "subject": "Step completion email for document: {document_name}",
    "body_header": "All recipients have completed step {step_number} of an invitation you were CC\u2019d in",
    "ccd_message": "The following people were cc\u2019d:\n{cc_emails}",
    "body_message": "This email is sent on the completion of step: {step_number} via signNow.",
    "footer_message": "Unique Solutions Inc."
  },
  "es": {
    "from": "Nombre del remitente",
    "subject": "Correo electr\u00f3nico de finalizaci\u00f3n del paso para el documento: {document_name}",
    "body_header": "Todos los destinatarios han completado el paso {step_number} de una invitaci\u00f3n en la que fuiste incluido en CC",
    "ccd_message": "Se copi\u00f3 a las siguientes personas en el env\u00edo:\n{cc_emails}",
    "body_message": "Este correo electr\u00f3nico se env\u00eda al completar el paso: {step_number} a trav\u00e9s de signNow.",
    "footer_message": "Unique Solutions Inc."
  },
  "fr": {
    "from": "Nom de l'exp\u00e9diteur",
    "subject": "E-mail de fin d`\u00e9tape pour le document: {document_name}",
    "body_header": "Tous les destinataires ont compl\u00e9t\u00e9 l'\u00e9tape {step_number} d'une invitation dans laquelle vous avez \u00e9t\u00e9 mis en copie",
    "ccd_message": "Les personnes suivantes \u00e9taient en cc:\n{cc_emails}",
    "body_message": "Cet e-mail est envoy\u00e9 \u00e0 la fin de l`\u00e9tape: {step_number} via signNow.",
    "footer_message": "Unique Solutions Inc."
  }
}
```

## Responses

### 204

Success, no content

### 404

Brand with this `brand_id` doesn't exist

**Example** (`Example 1`)

```json
{
  "code": 25002016,
  "message": "Brand not found."
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X PUT \
  "https://api.signnow.com/v2/brands/{brand_id}/resources/email-cc-invite-step-completed" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"en": {"from": "Sender Name", "subject": "Step completion email for document: {document_name}", "body_header": "All recipients have completed step {step_number} of an invitation you were CC\u2019d in", "ccd_message": "The following people were cc\u2019d:\n{cc_emails}", "body_message": "This email is sent on the completion of step: {step_number} via signNow.", "footer_message": "Unique Solutions Inc."}, "es": {"from": "Nombre del remitente", "subject": "Correo electr\u00f3nico de finalizaci\u00f3n del paso para el documento: {document_name}", "body_header": "Todos los destinatarios han completado el paso {step_number} de una invitaci\u00f3n en la que fuiste incluido en CC", "ccd_message": "Se copi\u00f3 a las siguientes personas en el env\u00edo:\n{cc_emails}", "body_message": "Este correo electr\u00f3nico se env\u00eda al completar el paso: {step_number} a trav\u00e9s de signNow.", "footer_message": "Unique Solutions Inc."}, "fr": {"from": "Nom de l'\''exp\u00e9diteur", "subject": "E-mail de fin d`\u00e9tape pour le document: {document_name}", "body_header": "Tous les destinataires ont compl\u00e9t\u00e9 l'\''\u00e9tape {step_number} d'\''une invitation dans laquelle vous avez \u00e9t\u00e9 mis en copie", "ccd_message": "Les personnes suivantes \u00e9taient en cc:\n{cc_emails}", "body_message": "Cet e-mail est envoy\u00e9 \u00e0 la fin de l`\u00e9tape: {step_number} via signNow.", "footer_message": "Unique Solutions Inc."}}'
```

---
*Full reference: https://docs.signnow.com/docs/cc-email-branding/operations/put-v2-brands-brand_id-resources-email-cc-invite-step-completed*
